org.jetlang.web

## Class WebAcceptor.Config

- java.lang.Object
- - org.jetlang.web.WebAcceptor.Config

Enclosing class:
  WebAcceptor

    public static class WebAcceptor.Config
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Config()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ServerSocketChannel` `configure(int port)`
`boolean` `configureNewClient(SocketChannel newClient)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Config

    public Config()

### Method Detail

#### configure

    public ServerSocketChannel configure(int port)
                                  throws IOException

Throws:
  `IOException`

#### configureNewClient

    public boolean configureNewClient(SocketChannel newClient)
                               throws IOException

Throws:
  `IOException`